<template>
	<f7-page name="home">

		<f7-navbar :sliding="false" large>
			<f7-nav-left>
				<f7-link icon-ios="f7:menu" icon-aurora="f7:menu" icon-md="material:menu" panel-open="left"></f7-link>
			</f7-nav-left>
			<f7-nav-title sliding>Sara Fashion</f7-nav-title>
			<f7-nav-title-large sliding>Sara Fashion</f7-nav-title-large>
		</f7-navbar>

<f7-searchbar
  disable-button-text="Cancel"
  placeholder="Search Products"
  :clear-button="true"
></f7-searchbar>

		<f7-list>
			<f7-list-item title="Get Products" link="/products"></f7-list-item>
		</f7-list> 

		<f7-toolbar position="bottom">
			<f7-button @click="getData()">Load Urls</f7-button>     
		</f7-toolbar>

<!--     <f7-block-title>Navigation</f7-block-title>
		<f7-list>
			<f7-list-item link="/about/" title="About"></f7-list-item>
		</f7-list>
 -->
		
		<f7-block v-if="products">
			<f7-block-title>Products</f7-block-title>
			<f7-list>
				<f7-list-item v-for="product in products" link="#" :title="product.url">
				</f7-list-item>
			</f7-list>
		</f7-block>

	</f7-page>
</template>

<script>
	export default {
		data() {
			return {
				products: null
			}
		},
		methods: {

			getData() {
				axios.get('https://picsum.photos/v2/list?page=1&limit=100').then(response => {
					this.products = response.data
				})
			}
		},
		mounted() {
		}
	}
</script>